Page MenuHomePhabricator

Use Paint Timing API instead of deprecated chrome.loadTimes() where possible
Closed, ResolvedPublic

Description

[Deprecation] chrome.loadTimes() is deprecated, instead use standardized API: Paint Timing. https://www.chromestatus.com/features/5637885046816768
[Deprecation] chrome.loadTimes() is deprecated, instead use standardized API: Navigation Timing 2. https://www.chromestatus.com/features/5637885046816768

The Microsoft non-standard extension of Navigation Timing for msFirstPaint, and Chrome's implementation via chrome.loadTimes() have been standardised as part of a new Paint Timing API.

We already briefly experimented this as part of the Asia Sample code we had until recently, but we should switch our main code to use it as well where available.

Event Timeline

Imarlier created this task.Feb 14 2018, 4:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2018, 4:01 PM
Krinkle renamed this task from Stop using deprecated method, switch to standard API to Use Paint Timing API instead of deprecated chrome.loadTimes() where possible.Feb 21 2018, 10:05 PM
Krinkle updated the task description. (Show Details)
Imarlier triaged this task as Normal priority.Feb 26 2018, 3:29 PM

Change 417986 had a related patch set uploaded (by Imarlier; owner: Imarlier):
[mediawiki/extensions/NavigationTiming@master] ext.NavigationTiming: use the Paint Timing API, if possible

https://gerrit.wikimedia.org/r/417986

Change 417986 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] ext.NavigationTiming: use the Paint Timing API, if possible

https://gerrit.wikimedia.org/r/417986

Imarlier closed this task as Resolved.Apr 30 2018, 3:06 PM
Imarlier removed a project: Patch-For-Review.